package com.ssm.entity;

import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class User {
    private Integer uid;//用户id
    private String uname;//用户名称
    private String unumber;//用户电话
    private String uaddress;//用户地址
    @DateTimeFormat(pattern = "yyyy-mm-dd")//用户首次登录日期
    private Date udate;

    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public String getUname() {
        return uname;
    }

    public void setUname(String uname) {
        this.uname = uname;
    }

    public String getUnumber() {
        return unumber;
    }

    public void setUnumber(String unumber) {
        this.unumber = unumber;
    }

    public String getUaddress() {
        return uaddress;
    }

    public void setUaddress(String uaddress) {
        this.uaddress = uaddress;
    }

    public Date getUdate() {
        return udate;
    }

    public void setUdate(Date udate) {
        this.udate = udate;
    }
    public void printInfo(){
        System.out.println("用户id="+uid +"\n用户名称="+uname+"\n用户电话="+unumber+"\n用户地址="+uaddress+"\n用户首次登录日期="+udate);
    }

}
